//-----------------------------------------------------------------------
// <copyright file=" mod_item.cs">
// * FileName: .cs 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Performance.EntityModels	
{
    /// <summary>
    /// 
    /// </summary>
    [Table("mod_item")]
	public class mod_item
    {
        /// <summary>
        /// 
        /// </summary>
        [Key]
		public int Id { get; set; }
    
        /// <summary>
        /// 
        /// </summary>
        public Nullable<int> ModuleId { get; set; }
    
        /// <summary>
        /// 绩效考核项
        /// </summary>
        public string ItemName { get; set; }
    
        /// <summary>
        /// 默认系数或医生系数
        /// </summary>
        public Nullable<decimal> FactorValue1 { get; set; }
    
        /// <summary>
        /// 护理系数
        /// </summary>
        public Nullable<decimal> FactorValue2 { get; set; }

        /// <summary>
        /// 医技系数
        /// </summary>
        public Nullable<decimal> FactorValue3 { get; set; }
    
        /// <summary>
        /// 抽取绩效值SQL
        /// </summary>
        public Nullable<int> ExtractId { get; set; }
    
        /// <summary>
        /// 用户选定抽取范围
        /// </summary>
        public string SelectionRange { get; set; }

        /// <summary>
        /// 只读 0、否 1、是
        /// </summary>
        public Nullable<int> ReadOnly { get; set; }
    }
}
